Bug 130472 - The xlsx files containing hatched auto-shapes cannot open
Summary: The xlsx files containing hatched auto-shapes cannot open
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: OOXML-Import-Strict XLSX-Shapes
  Show dependency treegraph
 
Reported: 2020-02-06 02:13 UTC by Shogo Yamaguchi
Modified: 2022-09-01 03:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample file (12.45 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-02-06 02:15 UTC, Shogo Yamaguchi
Details
hatched file example(Graphic) (6.86 KB, image/png)
2020-02-06 02:16 UTC, Shogo Yamaguchi
Details
Attachment 157680 imported (29.29 KB, image/png)
2020-02-06 07:21 UTC, Mike Kaganski
Details
Minimized test document (10.94 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-08-19 13:52 UTC, NISZ LibreOffice Team
Details
The minimized example file saved as non-strict xlsx (10.77 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-08-19 14:02 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shogo Yamaguchi 2020-02-06 02:13:51 UTC
Description:
A lot of memories are exhausted(This means LibreOffice killed by OOM killer) when Soffice tries to open xlsx files containing hatched auto-shape.
ex)
"hatched_auto-shapes.png" or "badFile_faild.xlsx" I attached.

It is same when soffice tries to convert to pdf via command lines.

===============================================

[Environment]

OS : Cent OS 7.6

LibreOffice : 6.4

===============================================



Steps to Reproduce:
[When trying to open file]
1.Open the xlsx file contains hatched auto-shape file via Calc on GUI.

==================================
[When trying to convert to PDF]
1.Try to convert the file to pdf via command
ex)
./soffice --convert-to "pdf:calc_pdf_Export" ~/badFile_faild.xlsx --headless --outdir ~/

Actual Results:
The "soffice.bin" process try to consume a lot of memories and killed by OOM killer.

Expected Results:
The file is safely opend or convert to PDF.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Shogo Yamaguchi 2020-02-06 02:15:36 UTC
Created attachment 157680 [details]
sample file
Comment 2 Shogo Yamaguchi 2020-02-06 02:16:32 UTC
Created attachment 157681 [details]
hatched file example(Graphic)
Comment 3 Mike Kaganski 2020-02-06 07:21:32 UTC
Created attachment 157686 [details]
Attachment 157680 [details] imported

Could not confirm the OOM; but that's just the matter of available memory. In my testing with Version: 6.4.0.3 (x64)
Build ID: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL

it took more than 8 200 000 KB on loading. After that, the document was irresponsive (took tens of seconds to perform any action like click on any cell).

Additionally, the appearance was wrong (likely the hatch was in wrong scale, resulting in many times more elements than it should).

So this is both import problem, and (possibly) performance problem.
Comment 4 Julien Nabet 2020-02-14 21:34:42 UTC
On pc Debian x86-64 with master sources updated today, I noticed these kinds of  logs:
warn:vcl.gdi:280028:280028:vcl/source/bitmap/BitmapFastScaleFilter.cxx:112: no resize
warn:vcl.gdi:280028:280028:vcl/source/bitmap/bitmapfilter.cxx:26: Bitmap filter failed
warn:vcl.gdi:280028:280028:vcl/source/bitmap/bitmapfilter.cxx:26: Bitmap filter failed
Comment 5 NISZ LibreOffice Team 2020-08-19 13:52:16 UTC
Created attachment 164470 [details]
Minimized test document

Only one shape without grouped textbox.

Also please note the hatching is not really a hatching, it's an image fill that has a hatched pattern.
Another note: the file is in strict XLSX format, saving as transitional XLSX with Excel makes it open quickly in Calc.
Comment 6 NISZ LibreOffice Team 2020-08-19 14:02:11 UTC
Created attachment 164471 [details]
The minimized example file saved as non-strict xlsx
Comment 7 QA Administrators 2022-09-01 03:48:08 UTC
Dear Shogo Yamaguchi,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug